# Contribution Guidelines

Ensure your pull request adheres to the following guidelines:

- Include a description of the link you're adding if possible.
- If you're adding a new header, ensure you give it a unique name.
- Do NOT add direct links to copyright protected material.
- Dead links or websites containing malware or excessive ads are unacceptable.
- Links to websites with [explicit content](https://help.github.com/en/github/site-policy/github-terms-of-service) are not accepted.

## Updating your PR

A lot of times, making a PR adhere to the standards above can be difficult. If the I notice anything that I'd like changed, I'll ask you to edit your PR before I merge it. There's no need to open a new PR, just edit the existing one. If you're not sure how to do that, [here is a guide](https://github.com/RichardLitt/knowledge/blob/master/github/amending-a-commit-guide.md) on the different ways you can update your PR so that I can merge it.
