---
title: Direct Downloads
sidebar_label: DDL
---

- [Zippyshare.sh](https://github.com/myspaghetti/zippyshare) - Bash script for batch downloading files from Zippyshare.
- [Plowshare](https://github.com/mcrapet/plowshare) - Command-line tool & engine for managing sharing websites.
- [pyLoad](https://pyload.net/) - Lightweight, customizable and remotely manageable downloader for 1-click-hosting sites like rapidshare.com or uploaded.to.
- [WFDownloader App](http://www.wfdownloader.xyz/) - Batch downloader ultility.
- [wget - a noob's guide](https://the-eye.eu/public/Wget_Linux_Guide.pdf) - Beginner guide on how to use `wget`.
- [How to bypass Mega Quota limit via JDownloader 2](https://github.com/CHEF-KOCH/JDownloader-2-Mega-Quota-Bypass)

## Download Managers

- [JDownloader2](http://www.jdownloader.org/home/index) - JDownloader is a free, open-source download management tool with a huge community of developers that makes downloading as easy and fast as it should be. The [Event Scripter Scripts](http://board.jdownloader.org/showthread.php?s=7b76a54fbe9589b2ed4ef0f82bde0f60&t=70525&page=37) - are a nice addition to "tweak" your JD with some scripts.
- [Internet Download Manager](http://www.internetdownloadmanager.com/) - One of the best shareware download manager for Windows.
  - [idm-trial-reset](https://github.com/J2TeaM/idm-trial-reset) - Use IDM forever without cracking.
  - [Mega.nz IDM Downloader](https://github.com/CHEF-KOCH/Mega.nz-IDM-downloader) - Unlimited downloading from Mega.nz with IDM.
- [pyIDM](https://github.com/pyIDM/PyIDM) - Python open source alternative to IDM (Internet Download Manager) with multi-connections, high speed engine, based on python, pycurl, youtube_dl, and pysimplegui.
- [Ant Download Manager](http://antdownloadmanager.com/) - Ant Download Manager is similar like IDM (also paid).
- [Xtreme Download Manager](http://sourceforge.net/projects/xdman/) - Open source alternative to IDM.
- [FreeDownloadManager](https://www.freedownloadmanager.org/) - FDM can boost all your downloads up to 10 times, process media files of various popular formats, drag & drop URLs right from a web browser as well as simultaneously download multiple files.
- [EagleGet](http://www.eagleget.com/) - EagleGet is a free all-in-one download manager, lightweight and fast, supports all popular browsers and downloads from many streaming services, a perfect alternative to IDM.
- [uGet](http://ugetdm.com/) - Open Source Download Manager.

## DDL Tools

- [youtube-dl](https://rg3.github.io/youtube-dl/) - A command-line program to download videos from YouTube.com and a few more sites.
  - [youtube-dl-gui](https://mrs0m30n3.github.io/youtube-dl-gui/) - A cross-platform front-end GUI of the popular youtube-dl written in wxPython.
  - [youtube-dl-helper](https://youtube-dl-helper.github.io/) - Uses youtube-dl to download video/audio from many sites without requiring you to use the command-line (for Windows).
- [wget](http://www.gnu.org/software/wget/) - `wget` is a free and open source tool for downloading files using HTTP, HTTPS, FTP and FTPS. It can be easily called from scripts, cronjobs, terminals without X-Windows support, etc.
  - [wget for Windows](http://eternallybored.org/misc/wget/) - A command-line utility for retrieving files using HTTP, HTTPS and FTP protocols.
- [MEGAsync](http://mega.nz/sync) - Easy automated synchronisation between your computer and your MEGA account. Can stream Mega videos directly.
  - [MegaCrypt.js](https://github.com/JohnDeved/megacrypt.js) - MegaCrypt.js lets you share your Mega.nz files without actually having to share any Mega.nz links by encrypting them to create a secure proxy to your files.
  - [megabasterd](https://github.com/tonikelope/megabasterd) - Yet another unofficial (and ugly) cross-platform MEGA downloader/uploader/streaming suite.
  - [megadown](https://github.com/tonikelope/megadown) - Bash script for download files from mega.nz and megacrypter.
  - [megatools](https://github.com/megous/megatools) - Open-source command line tools and C library (libmega) - for accessing Mega.co.nz cloud storage.
- [annie](https://github.com/iawia002/annie) - Fast, simple and clean video downloader.
- [aria2](http://aria2.github.io/) - A lightweight multi-protocol & multi-source command-line download utility.
- [Photon](https://github.com/alanzhangzm/Photon) - A lightweight multi-threaded downloader based on aria2.
- [axel](https://github.com/axel-download-accelerator/axel) - Light command line download accelerator.
- [curl](http://en.wikipedia.org/wiki/CURL) - `curl` is a command-line tool for downloading data using a variety of protocols. Easily installable on most operating systems.
- [get_iplayer](https://github.com/get-iplayer/get_iplayer) - A utility for downloading TV and radio programmes from BBC iPlayer.
- [grayhatwarfare S3 bucket search](http://buckets.grayhatwarfare.com/) - Not likely to find much with this one but interesting nonetheless.
- [Leonflix](http://leonflix.net/) - A multi-platform desktop app for finding movies and TV shows.
- [Google Drive direct download link generator](http://maulvi.github.io/)
- [netclix](https://github.com/ston3o/netclix) - A simple cli tool to get movie streaming premium links from VodLocker's API.
- [Persepolis](http://persepolisdm.github.io/) - Front-end for aria2.
- [rdcli](https://github.com/ston3o/rdcli) - The simple way to download and unrestrict DDL files, torrents and magnets using Real-Debrid.
- [ripme](https://github.com/RipMeApp/ripme) - A album/video downloader with support for over 80 sites.
- [Swiss Transfer](http://www.swisstransfer.com/en) - Share Files up to 25GB.
- [YouTube MP3 Rip](http://youtubemp3.rip/) - Download YouTube music videos as MP3 files without registration.
- [FlixGrab](http://freegrabapp.com/product/flixgrab/) - Unique and powerful application for downloading NetFlix videos fast and for free.
- [Massivedl](https://github.com/dimkouv/massivedl) - A command line tool which helps to download a large number of files from the web in a short time.
- [instaloader](https://github.com/instaloader/instaloader) - Download pictures (or videos) along with their captions and other metadata from Instagram.
- [drivedl](https://github.com/architdate/drivedl) - Download files from Google Drive (inclusive of teamdrives, shared with me and my drive) concurrently.

## RapidLeech

- [RapidLeech](https://github.com/Th3-822/rapidleech) - Rapid Leech is a free server transfer script for use on various popular upload/download sites.
- [a092devsxd.herokuapp](http://a092devsxd.herokuapp.com/)
- [ahputuleech.herokuapp](http://ahputuleech.herokuapp.com)
- [alterink](http://www.alterink.com)
- [batleech.herokuapp](http://batleech.herokuapp.com)
- [clouddebrid.herokuapp](http://clouddebrid.herokuapp.com)
- [freeleecher](http://dl.freeleecher.ir:555/index.php)
- [kempus87.freehost](http://kempus87.freehost.pl)
- [leech.softaz](https://leech.softaz.net)
- [leech13040.herokuapp](http://leech13040.herokuapp.com)
- [leecher.needrp.](http://leecher.needrp.net)
- [leechweb.herokuapp](http://leechweb.herokuapp.com)
- [loverksleech.herokuapp](http://loverksleech.herokuapp.com)
- [madahi313](https://madahi313.ir/leech/)
- [maj8588.herokuapp](http://maj8588.herokuapp.com)
- [oyrenci-sesi.info](http://oyrenci-sesi.info/leech)
- [r3dliz4rdstorage.herokuapp](http://r3dliz4rdstorage.herokuapp.com)
- [rapidleech-tr.herokuapp](http://rapidleech-tr.herokuapp.com)
- [rapidleech.gq](https://rapidleech.gq/)
- [restorage.herokuapp](http://restorage.herokuapp.com)
- [sahilpatel.herokuapp](http://sahilpatel.herokuapp.com)
- [Server029.altervista](http://www.server029.altervista.org)
- [shabakehparvaresh](https://shabakehparvaresh.ir/index.php)
- [simberia.prv.pl](http://simberia.prv.pl/index.php)
- [ss-leech.herokuapp](http://ss-leech.herokuapp.com)
- [sstuptoboxuc.herokuapp](http://sstuptoboxuc.herokuapp.com)
- [thanhcavietnam](https://thanhcavietnam.org/DownHost/)
- [tweetuleech.herokuapp](http://tweetuleech.herokuapp.com)
- [ukstorage.herokuapp](http://ukstorage.herokuapp.com)
- [vmaniac](http://vmaniac.com)
- [web.avjie](https://web.avjie.com)
- [xyhs.mad.buttobi.net](http://xyhs.mad.buttobi.net/index.php)
- [yes-original.com](https://yes-original.com/home/rapidleech-master/index.php)
- [zarni.herokuapp](http://zarni.herokuapp.com)

## Streaming

- [Catchvideo.net](https://catchvideo.net/) - Catchvideo.net is a free online website, which allows you to download a video url from YouTube, Facebook, Dailymotion, Vimeo and more.
- [HDencode](https://hdencode.com/) - Download Movies and TV Shows - #1 Source for High Definition Releases.
- [Movie Files](https://moviefiles.org/) - Download Movies For free.
- [Movies "R" Us](https://moviesrus.tk) - The newest movies in 1080p. Available with DDL through MediaFire and streaming through Anonfile.
- [DL WarezForums](https://dr.warezforums.com/) - Direct downloads and direct streaming, movies, files & more.
- [TTDG](http://185.105.101.95/) - Movies via streaming.

## FTP

- [glFTPd](http://glftpd.io/) - A great FTP server for anyone on a \*NIX platform.
- [DrFTPD](https://github.com/drftpd-ng/drftpd3) - Distributed Daemon FTP Server v3.
- [FlashFXP](http://www.flashfxp.com/) - Windows FTP Client. Supports FTP, FXP, FTPS, and SFTP file transfers. Free trial download.
- [ioFTPD](http://www.flashfxp.com/forum/ioftpd/ioftpd/) - Fast & Lightweight FTP Daemon for Windows.
- [RaidenFTPD](http://www.raidenftpd.com/en/) - FTP server software for Windows 7: RaidenFTPD is a widely used FTP server software. It works with Windows/Mac/Linux FTP clients and IE.
- [Davos](https://github.com/linuxserver/davos) - Web-based FTP automation for Linux servers.
- [Mamont's open FTP Index](https://www.mmnt.net/) - Browsable directory listing of publicly available FTP-sites.
- [Napalm FTP Indexer](https://www.searchftps.net/) - NAPALM FTP Indexer lets you search and download files located on public FTP servers.
- [pftp](https://www.pftp.de/) - Port-File-Transfer-Program not to muddle up with standard FTP which is quite different, it allows you to send and receive directories recursively and move the dirs.

## Search Engines and Crawlers

- [ololo](https://ololo.to/) - A video streaming link search engine.
- [MegaSearch](http://megasearch.co) - Search engine for finding content hosted on Mega and other premium hosts.
- [VideoSpider](https://videospider.in/) - VideoSpider crawls various websites and search engines to find movie and TV episode streaming links.
- [Orion](https://orionoid.com/) - Orion is a service that indexes metadata and links from a variety of public websites and networks, including torrent, Usenet, and hoster indexes.
- [Alluc](https://w1.alluc.uno/) - Search engine with over 80 million streaming-links from over 700 VOD services, video hosters, and file-hosters.
- [OD-Database](https://od-db.the-eye.eu/) - Database of searchable open directories curated by The-Eye.eu.
- [IPLIVE](https://iplive.club/) - DDL search engine.
- [SoftArchive](https://sanet.st/full/) - SoftArchive or SA is a scene release website, more known for new releases of software, games, music, movies, and eBooks.
- [ololo](https://ololo.to/) - A video streaming link search engine.
- [Orion](https://orionoid.com/) - Orion is a service that indexes metadata and links from a variety of public websites and networks, including torrent, usenet, and hoster indexes.
- [Anonembed](http://anonembed.xyz/) - Search Engine for Rapidvideo, Google Drive, Google photos, Verystream & more.
- [FilesLoop](https://www.filesloop.com/) - Search and download torrents and files from various file hosting like Uploaded etc.
- [Rapidlinks](https://rapidlinks.org) - (RU) - Russian search engine for various sharehoster.

## DDL Link Sites

- [snahp.it](https://snahp.it/) - Replaced /r/megalinks.
  - [Snahp.it Forum](https://forum.snahp.it/) - (registration disabled) - A popular forum which provides links to HD rips & software (mostly mega & zippyshare).
- [BlackPearl.biz](https://blackpearl.biz/) - Drop-in replacement for snahp.it while their registrations remain closed.
- [Movies "R" Us](https://moviesrus.tk) - The newest movies in 1080p. Available with DDL through MediaFire and streaming through AnonFile.
- [TwoDDL](http://2ddl.ws) - Direct download links.
- [RapidMoviez](http://rmz.cr/)
- [MkvCage](https://www.mkvcage.ws/)
- [movidy](https://movidy.co) - Links for movies and shows in Spanish.
- [watchtvseries](http://watchtvseries.unblckd.club/)
- [ScnLog](https://scnlog.me/)
- [Movie-blog.org](http://movie-blog.sx/) - German site for movies.
- [Movieworld.to](http://movieworld.to/) - Another German site for movies.
- [DDL-Music](https://ddl-music.to/) - German site for music.
- [480mkv](http://480mkv.com/) - 480p DDL for TV Shows.
- [r/FREEMEDIAFUCKYEAH/](https://reddit.com/r/FREEMEDIAFUCKYEAH/) - Animes, movies and more.
- [r/DataHoarder/](https://reddit.com/r/DataHoarder/) - Share download links (similar to /r/opendirectories/).
- [r/ZippyShare](https://www.removeddit.com/r/ZippyShare) - (Multi) - DL links hosted on ZippyShare (_blocked in the UK, Germany and other countries_).
- [Zippy Direct](https://zippy.direct/) - ZippyShare proxy.
- [0DayDown](https://www.0daydown.com/) - (CN/EN) - macOS, Music & other links (works with JDownloader).
- [3dl.tv](https://3dl.tv/) - Music, Movies, TV Shows, apps & more.
- [AdiT-HD](https://adit-hd.com/) - Direct movie download database.
- [AppNee Freeware Group](https://appnee.com/) - Massive DDL site, eBooks, Programs, Games, Operating Systems, Adobe & more.
- [Audioz](https://audioz.download/) - Provides Audio related software like Cubase etc.
- [AvaxHome](https://avxhm.se) - Another DDL site with eBooks, TV, movies, magazines, software, comics, newspapers, games, graphics, etc.
- [AVXHome](http://avxhome.se/) - Best of eBooks, Software, Mag & more.
- [BetaArchive](https://www.betaarchive.com/) - Windows ISOs, Windows tools & more.
- [Board4All](https://www.board4all.biz/) - A forum which provides and shares all sorts of stuff.
- [Boerse.to](https://boerse.to/) - (GER) - (blocked by some ISP) - A big and well-known german warez forum.
- [Byte.to](https://byte.to/) - (GER) - Movies (SD/HD/UHD), Docus, WWE & Series.
- [CWER.ws](https://cwer.ws) - (RU) - Well-known russian board for web warez.
- [DDL-Warez](https://ddl-warez.to/) - (GER) - German software, movies & tv board.
- [DDLValley](https://www.ddlvalley.me/) - DDL links for Movies, Games, Tv Shows, Apps, Ebooks and Music.
- [DownloadBoerse.io](http://downloadboerse.io/forum/) - German mygully clone.
- [DeeJayPirate's Pastebin](https://pastebin.com/u/DeeJayPirate) - Pastebin user who uploads premium links for TV shows.
- [DirtyWarez Forum](https://forum.dirtywarez.com/) - (EN-US) - Popular warez forum with films, TV shows, ebooks, anime, games, and more.
- [DL4All](http://dl4all.org/) - Various Games, Tutorials, TV Shows, Music and mobile stuff.
- [Dospelis](https://www.dospelis.net) - Spanish DDL indexer.
- [DownArchive](http://downarchive.org/) - DDL blog with premium links on a number of hosts. Lots of software.
- [DownloadLY.IR](http://downloadly.ir/) - (IR) - Software download portal.
- [DownTurk](http://www.downturk.net/) - Software portal.
- [ExeLab Forums](https://exelab.ru/f/index.php?action=vtopic&forum=5)
- [FilmRls](https://filmrls.com/) - Movies, Series and TV Shows.
- [filewarez.tv](https://filewarez.tv/) - Invite-only, hosts both Mega and Google Drive links for TV shows.
- [FTP Mirrors](ftp://77.247.243.7/MS/Windows-10/) - Windows ISO Downloads Mirrors (ftp links not visible in GitHub's Markdown!).
- [GLOAD.cc](https://gload.cc/) - Provides Zippyshare as download-friendly mirrors.
- [hdencode](https://hdencode.com/) - Videos/Movies in HD Quality.
- [IceFilms.info](https://www.icefilms.info/) - Another DDL site with TV and movie links on FileUpload, GoUnlimited, Filecandy, and more.
- [Intercambios Virtuales](http://www.intercambiosvirtuales.org/) - Yet another software portal.
- [IntoTheInter](https://intotheinter.net/) - (EN) - (needs invite) - Android apps, Windows Software & Games.
- [KickassWarez](https://kickasswarez.info/) - (EN/RU) - Sometimes offline, hosts TV, movies, magazines, software, comics, newspapers, games, graphics, etc.
- [LavTeam](http://www.lavteam.org/) - (RU) - Another russian software portal. Like dust in the desert!.
- [Mawto](https://www.mawtoload.com/) - (IR) - Android apps, Windows Software & Games.
- [MaxRelease](http://max-rls.com/) - Games, software, magazines, movies, music & tv shows.
- [Movie Glide](https://www.movieglide.com/) - Videos/Movies & TV Shows in HD Quality.
- [MovieFiles](https://moviefiles.org/) - Direct download search engine which generates Google Drive links.
- [Moviesleak](https://moviesleak.net/) - Yet another movie page, the focus is in IMDB announcements.
- [Mutaz](https://www.mutaz.net/free-programs/) - Tracks scene software releases.
- [NGB.to](https://ngb.to/) - Another Gulli/MyGully clone.
- [Nsane Forum](https://www.nsaneforums.com/) - Public forum for everyone to talk about software & news around the world.
- [NitroBlog](https://nblog.org/) - PC, PS3, VITA, WII & ISO ROMs.
- [NulledTeam Underground](https://www.nulledteam.com/) - Software forum for nulled script/tools/software.
- [PCPortal](https://pcportal.org/) - (RU) - One of the biggest russian software forums.
- [PSARips](https://psarips.com/) - Popular site for movies and TV shows, includes torrent files.
- [RADIXX11](https://radixx11rce2.blogspot.com) - (EN-US) - Software forum.
- [Reduson](https://www.reduson.com/) - (EN/RU) - Another software portal for various type of releases like software, magazines, games and many more.
- [ReleaseBB](https://rlsbb.ru/) - (RU) - Russian Software Portal.
- [RSLinks](https://rslinks.org/) - Tracks scene software releases and mirrors them.
- [Rsload](https://rsload.net/) - (RU/EN) - A big software portal.
- [RU-Board](http://forum.ru-board.com/) - (RU) - Well-known russian warez board.
- [RuTracker](https://rutracker.cr/) - (RU) - If you didn't alreay knew RUTracker you never heard of Warez at all.
- [SceneSource](https://scnsrc.me/) - WordPress powered website dedicated to bringing you the latest info on new scene releases.
- [Soft98.iR](https://soft98.ir/software/) - (IR) - All Software Download in Only One Website.
- [SANET](http://sanet.ws/) - SoftArchive is the oldest and most reliable resource for direct downloa- [SolidShare](https://www.solidshare.net/) - (TR) - Software Portal.
- [Tekspert](https://tekspert.se/) - (EN/US) - Software forum.
- [TNCTR](https://www.tnctr.com/) - (TR) - Turkish Network Community for software, ebooks, apps, portable, AIO & coding.
- [UpTown](https://en.uptodown.com/) - Software portal.
- [UHDMV](https://uhdmv.com/) - Yet another alternative to the popular Snahp website.
- [Vidics](https://www.vidics.to/) - Vidics provides Tv shows and movie releases.
- [Warez-BB.org](https://warez-bb.org/) - Elite warez forum. (invite needed).
- [WarezBB.org](http://warezbb.org/) - Invite-only elite forum.
- [WarezForums](https://warezforums.com/) - (EN/US) - Warez forum with films, TV shows, ebooks, anime, games, and more via G-Drive and Mega.
- [watchepisodeseries](https://watchepisodeseries.bypassed.wtf/) - Watch Episode Series provides TV Shows releases from the scene.
- [WatchTVSeries](https://watchtvseries.unblocked.krd/) - Watch TV shows online.
- [ZeroBoard](https://zeroboard.org/) - A board which provides Windows related stuff.
- [up4pc](https://up4pc.com/) - Download PC Software including cracks via ZippyShare, GDrive and Mega.
- [CB01.uno](https://cb01.gallery/) - (`IT`) - Movies, TV Shows and Animes.
- [Release BB](http://rlsbb.ru/) - (`RU/ENG`) - Daily Source of Awesome Stuff.

## File hosts

- [File Hosting Wiki](https://filehostlist.miraheze.org/wiki/Main_Page) - This site aims to provide the most complete lists of premium link generators, torrent downloaders and more, with (possibly) - frequent updates.
- [Real-Debrid](https://real-debrid.com/) - Real-Debrid is an unrestricted downloader that allows you to quickly download files hosted on the Internet or instantly stream them into an innovative web player.
- [Premiumize](https://www.premiumize.me/) - Combine direct and secure access to premium services.
- [Premiumizer](https://github.com/piejanssens/premiumizer) - Premiumizer is a download management tool for premiumize.me cloud downloads.
- [OffCloud](https://offcloud.com/?=85a8b709) - A simple, elegant and intuitive SaaS to retrieve any data from the cloud.
- [Reevown](https://reevown.com/) - A free download service with which you can perform premium downloads.
- [File sharing table](https://nafanz.github.io/) - Regularly updated table of information about file hosts.
- [Mega](https://mega.nz/)
- [RapidGator](https://rapidgator.net/)
- [4shared](https://www.4shared.com/)
- [Mediafire](https://www.mediafire.com/)
- [Sendspace](https://www.sendspace.com/)
- [Uploaded](https://uploaded.net/)
- [Zippyshare](https://www.zippyshare.com/)
- [NitroFlare](http://nitroflare.net/)
- [PutLocker](https://www5.putlockertv.to/)
- [Oboom](https://www.oboom.com/) - (_free/paid_) - Provides up to 50 GB free space, Swiss made!
- [Smoozed](https://www.smoozed.biz/) - Claims to be the biggest multihoster, encrypted files and fast up-downloads.
- [globalupload.io](https://globalupload.io/) - IPFS and hash based services foryour files, a multi hosting option is planned.
- [uploadfiles](https://uploadfiles.io/) - From files, images, music, video and more – Uploadfiles is a free and easy way to share your data
- [GoFile](https://gofile.io/welcome) - File sharing platform, anonymous and free.
- [nofile](http://nofile.io/) - File sharing platform, anonymous and free (GeoIP block).
- [LetsUpload](https://letsupload.co/) - Created around the times when Mega firstly appeared, one of the big stars under the trusted hosters. They do not comply with DMCA.
- [Racaty.net](https://racaty.net/) - Store, Sync & Share your own data securely.

## Open Directories

- [The Eye](https://the-eye.eu/public/) - The Eye is a non-profit website dedicated to content archival and long-term preservation.
  - [/public/Piracy/](https://the-eye.eu/public/Piracy/)
  - [exodos.the-eye.eu](https://exodos.the-eye.eu/)
  - [In progress subreddit archive](https://the-eye.eu/r)
  - [All DOS based games](https://exodos.the-eye.eu)
  - [Keygens](https://parazite.the-eye.eu/)
  - [25TB of retro stuff](https://vv.the-eye.eu/)
  - [The-Eye merch](https://56k.pizza/)
  - [The-Eye search engine](https://searchin.the-eye.eu)
  - [Image Fusker](https://fusker.the-eye.eu)
  - [Custom Google search](https://cgs.the-eye.eu)
  - [Open directory index](https://od-db.the-eye.eu)
  - [NFSW reddit reverse image search](https://irar.the-eye.eu)
  - [15TB+ in 31,500,000+ files mostly from nsfw reddit subs](https://the-eye.eu/imgur/)
- [Panelshow.club](http://panelshow.club/) - Directory of panel show TV episodes from [r/panelshow](https://www.reddit.com/r/panelshow).
- [andesite](https://github.com/nektro/andesite) - Easily manage access to your open directory through OAuth2.
- [OpenDirectoryDownloader](https://github.com/KoalaBear84/OpenDirectoryDownloader) - Indexes open directories.
- [r/MegaLinks4U](https://reddit.com/r/MegaLinks4U/) - Share megalinks, mostly used for porn.
- ["All resources I know related to Open Directories"](https://www.removeddit.com/r/opendirectories/comments/933pzm/all_resources_i_know_related_to_open_directories/) - Thorough post from /u/ElectroXexual.
- [r/opendirectories](https://www.removeddit.com/r/opendirectories) - Unprotected directories of pics, vids, music, software and otherwise interesting files.
- [36 GB of Flash Games](https://www.removeddit.com/r/opendirectories/comments/902j1i/36_gb_of_flash_games_19k_files/) - Posted by /u/blue*star*.
- [FileMasta](https://github.com/HerbL27/FileMasta) - Search servers for video, music, books, software, games, subtitles and much more.
- [httpdirfs](https://github.com/fangfufu/httpdirfs) - A filesystem which allows you to mount HTTP directory listings.
- [opendirectories-bot](https://github.com/simon987/opendirectories-bot) - Bot used on /r/opendirectories for analysing the contents of open directories posted on the subreddit.
- [The Holy Grail of Indexes](https://www.removeddit.com/r/opendirectories/comments/75ya8g/the_holy_grail_of_indexes/) - Posted by /u/shadow_hunter104.
- [Andesite](https://github.com/nektro/andesite) - Easily manage access to your open directory through OAuth2.
- [dirsearch](https://github.com/maurosoria/dirsearch) - Web path scanner.
- [Guide on searching for open directories](https://www.reddit.com/r/opendirectories/comments/933pzm/all_resources_i_know_related_to_open_directories/)
- [AIOSearch Guide](https://www.reddit.com/r/Piracy/comments/fa81st/aio_search_guide/)

## Open directory Search Engines

- [FilePursuit](https://filepursuit.com) - Meta search engine for Warez.
- [FileChef](http://filechef.com/) - Get direct download links for almost anything.
- [Strixx](https://strixx.now.sh/) - Open Directory Search Tool.
- [Musgle](http://www.musgle.com/) - Musgle in action just type a song title, or the artist name, or both in a search bar and hit 'Enter' - you will be redirected to the Google page with relevant search results. Click on one of those results, and you will have a chance to directly download the song you are searching for - very smooth!.
- [Jimmyr](http://www.jimmyr.com/mp3_search.php) - Yet abother Music search engine.
- [lumpySoft.com](https://lumpysoft.com/) - A Google index search with predefined tags.
- [Mattpalm.com](https://mattpalm.com/search/) - Get direct download links for almost anything.
- [opendirectory-finder](https://ewasion.github.io/opendirectory-finder/) - Get direct download links for almost anything.
- [wtfnzb](https://wtfnzb.pw/) - Open dir for Software.
- [Abifog Open Directory Search Tool](https://opendirsearch.abifog.com/) - An open directory search tool.
- [Crawli](https://crawli.net) - Searches for online/offline content.
- [DDLSearch](http://ddlsearch.free.fr) - Meta search engine, the results are been displayed via Google search engine.
- [filediva](http://www.filediva.com) - Yet another meta search engine.
- [Alluc](https://w1.alluc.uno/) - Search engine with over 80 million streaming-links from over 700 VOD services, video hosters and file-hosters.
- [IPLIVE](https://iplive.club/) - DDL search engine.
- [VideoSpider](https://videospider.in/) - VideoSpider crawls various websites and search engines to find movie and TV episode streaming links.
